6.0.0-git
2021-01-18

[#12112] The return_url parameter for the problem-form sometimes points to an unwanted location
Summary The return_url parameter for the problem-form sometimes points to an unwanted location
Queue Horde Groupware Webmail Edition
Queue Version 5.2.11
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester aarno.sandvik (at) helsinki (dot) fi
Created 2013-03-13 (2868 days ago)
Due
Updated 2017-10-20 (1186 days ago)
Assigned
Resolved 2016-01-18 (1827 days ago)
Milestone
Patch No

History
2017-10-20 20:33:45 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit da90c4749b497a648e288e08924384f54a9622d5
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 18 Jan 2016 22:39:05 +0100

[jan] Fix returning to last page after problem reporting from AJAX 
pages (Bug #12112).

  M docs/CHANGES
  M package.xml

https://github.com/horde/base/commit/da90c4749b497a648e288e08924384f54a9622d5
2017-10-20 20:33:45 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 41498d44447c1fa024d1c196f1898f840c49c51e
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 18 Jan 2016 22:38:22 +0100

[jan] Fix returning to last page after problem reporting from AJAX 
pages (Bug #12112).

  M js/topbar.js

https://github.com/horde/base/commit/41498d44447c1fa024d1c196f1898f840c49c51e
2016-01-18 21:51:18 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 43a1590808a4b92a285984e0bc576ee9030ae91e
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jan 18 22:39:05 2016 +0100

     [jan] Fix returning to last page after problem reporting from 
AJAX pages (Bug #12112).

  horde/package.xml |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/43a1590808a4b92a285984e0bc576ee9030ae91e
2016-01-18 21:43:12 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3d8ef002fdb0898950823ca1109886f4d279b0d2
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jan 18 22:39:05 2016 +0100

     [jan] Fix returning to last page after problem reporting from 
AJAX pages (Bug #12112).

  horde/docs/CHANGES |    2 ++
  horde/package.xml  |    2 ++
  2 files changed, 4 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/3d8ef002fdb0898950823ca1109886f4d279b0d2
2016-01-18 21:43:08 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit e2a5272f059703bbc0e73e652cd268ad303d2e8e
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jan 18 22:28:15 2016 +0100

     [jan] Fix returning to last page after problem reporting from 
AJAX pages (Bug #12112).

  horde/js/topbar.js |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/e2a5272f059703bbc0e73e652cd268ad303d2e8e
2016-01-18 21:28:34 Jan Schneider Assigned to Jan Schneider
Summary ⇒ The return_url parameter for the problem-form sometimes points to an unwanted location
State ⇒ Resolved
Version ⇒ 5.2.11
 
2016-01-18 21:28:28 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 5a438bf044c88003fd6afd56c6d96c1c82745473
Author: Jan Schneider <jan@horde.org>
Date:   Mon Jan 18 22:28:15 2016 +0100

     [jan] Fix returning to last page after problem reporting from 
AJAX pages (Bug #12112).

  framework/Core/lib/Horde/Registry.php |    7 ++++++-
  framework/Core/package.xml            |    2 ++
  horde/js/topbar.js                    |    3 ++-
  3 files changed, 10 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/5a438bf044c88003fd6afd56c6d96c1c82745473
2013-03-13 11:03:27 aarno (dot) sandvik (at) helsinki (dot) fi Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ The return_url paremeter for the problem-form sometimes points to an unwanted location
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
If the browsers last action before clicking the problem-link has been 
a ajax-call to topbarUpdate then the return_url parameter for the 
problem-form is going to point to 
/horde/services/ajax.php/horde/topbarUpdate. This causes the user to 
be redirected to a blank page after submitting the problem-form.

Steps to reproduce:
Set your 'menu_refresh_time'-pref to 30 seconds and move to the portal 
view. Wait 30+ seconds and check the link for the problem-form. It 
points to /horde/services/ajax.php/horde/topbarUpdate

Saved Queries